PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::RectangularMesh2D::Elements Class Reference

Wrapper to TriangularMesh2D which allows for accessing FEM-like elements. More...

`#include <plask/mesh/rectangular2d.hpp>`

Collaboration diagram for plask::RectangularMesh2D::Elements:
[legend]

## Public Types
typedef IndexedIterator< const RectangularMesh2D, Element, deref > | const_iterator
typedef const_iterator | iterator

## Public Member Functions
| Elements (const RectangularMesh2D *mesh)
Element | operator[] (std::size_t i) const
| Get `i-th` element.
Element | operator() (std::size_t i0, std::size_t i1) const
| Get element with indices `i0` and `i1`.
std::size_t | size () const
| Get number of elements.
const_iterator | begin () const
const_iterator | end () const

## Public Attributes
const RectangularMesh2D * | mesh

## Detailed Description

Wrapper to TriangularMesh2D which allows for accessing FEM-like elements.

It works like read-only, random access container of Element objects.

Definition at line 178 of file rectangular2d.hpp.

## Member Typedef Documentation

## ◆ const_iterator

typedef IndexedIterator<const RectangularMesh2D, Element, deref> plask::RectangularMesh2D::Elements::const_iterator

Definition at line 182 of file rectangular2d.hpp.

## ◆ iterator

typedef const_iterator plask::RectangularMesh2D::Elements::iterator

Definition at line 183 of file rectangular2d.hpp.

## Constructor & Destructor Documentation

## ◆ Elements()

plask::RectangularMesh2D::Elements::Elements | ( | const RectangularMesh2D * | mesh | ) |
| inline

Definition at line 187 of file rectangular2d.hpp.

## Member Function Documentation

## ◆ begin()

const_iterator plask::RectangularMesh2D::Elements::begin | ( |  | ) | const
| inline

Returns
  iterator referring to the first element

Definition at line 210 of file rectangular2d.hpp.

## ◆ end()

const_iterator plask::RectangularMesh2D::Elements::end | ( |  | ) | const
| inline

Returns
  iterator referring to the past-the-end element

Definition at line 213 of file rectangular2d.hpp.

## ◆ operator()()

Element plask::RectangularMesh2D::Elements::operator() | ( | std::size_t | i0,
|  | std::size_t | i1
| ) |  | const
| inline

Get element with indices `i0` and `i1`.

Parameters

  i0,i1 | element index

Returns
  element with indices `i0` and `i1`

Definition at line 201 of file rectangular2d.hpp.

## ◆ operator[]()

Element plask::RectangularMesh2D::Elements::operator[] | ( | std::size_t | i | ) | const
| inline

Get `i-th` element.

Parameters

  i | element index

Returns
  `i-th` element

Definition at line 194 of file rectangular2d.hpp.

## ◆ size()

std::size_t plask::RectangularMesh2D::Elements::size | ( |  | ) | const
| inline

Get number of elements.

Returns
  number of elements

Definition at line 207 of file rectangular2d.hpp.

## Member Data Documentation

## ◆ mesh

const RectangularMesh2D* plask::RectangularMesh2D::Elements::mesh

Definition at line 185 of file rectangular2d.hpp.

The documentation for this class was generated from the following file:

- plask/mesh/rectangular2d.hpp